import RPi.GPIO as GPIO, time, random
GPIO.setmode(GPIO.BCM)
# Start writing your program below

star = 2
lights = [4, 15, 13, 21, 25, 8, 5, 10, 16, 17,
          27, 26, 24, 9, 12, 6, 20, 19, 14, 18,
          11, 7, 23, 22]
allLights = [star] + lights

GPIO.setup(allLights, GPIO.OUT)
interval = 1
offLightsCount = 12

GPIO.output(allLights, GPIO.HIGH)

while True:
    try:
        offLights = []
        for i in range(offLightsCount):
            offLight = random.choice(lights)
            offLights.append(offLight)
        GPIO.output(offLights, GPIO.LOW)
        time.sleep(interval)
        GPIO.output(lights, GPIO.HIGH)
    except KeyboardInterrupt:
        break

GPIO.output(allLights, GPIO.LOW)

# Write your program above this line
GPIO.cleanup()
